#include<fstream>
#include<algorithm>
using namespace std;
int main()
{
	ifstream f1("TANSUAT.INP");
	ofstream f2("TANSUAT.OUT");
	int n;
	f1>>n;
	int f[n];
	int i;
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	f1.close();
	int max=0;
	for(i=0;i<n;i++)
	{
		if(f[i]>max) max=f[i];
	}
	int d[max+1];
	for(i=0;i<max+1;i++)
	{
		d[i]=0;
	}
	int ok=0;
	for(i=0;i<n;i++)
	{
		d[f[i]]++;
	}
	sort(f,f+n);
	for(i=0;i<n;i++)
	{
		f2<<f[i]<<' ';
	}
	return 0;
}
